package me.hammerle.supersnuvi.tiles;

import javafx.scene.image.Image;
import javafx.scene.paint.Color;
import me.hammerle.supersnuvi.rendering.GameRenderer;
import me.hammerle.supersnuvi.util.Utils;

public class ColoredBaseTile extends Tile
{
    private final Image image;
    
    public ColoredBaseTile(Color c)
    {
        image = Utils.getColoredImage(c, GameRenderer.TILE_SIZE, GameRenderer.TILE_SIZE);
    }

    @Override
    public Image getImage(int x, int y) 
    {
        return image;
    }
}
